Subject: [Pals] FW: Mandatory Encapsulation for BFD in VCCV is lacking in RFC 5885?

From: Alexander Vainshtein <[email-masked]>
Date: Sun, 15 May 2016 10:20:24 +0000

Resending to the WG list - a typo in the address in the previous message

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

From: Alexander Vainshtein
Sent: Sunday, May 15, 2016 1:19 PM
To: Andrew G. Malis ([email-masked]); Stewart Bryant ([email-masked]); Carlos Pignataro (cpignata) ([email-masked])
Cc: [email-masked]'
Subject: Mandatory Encapsulation for BFD in VCCV is lacking in RFC 5885?

Andy, Stewart, Carlos and all,
I would highly appreciate your feedback on the following issue.
( I do not know Tom's current email address and so cannot send this email to him directly.)

As you surely remember RFC 5885<https://tools.ietf.org/html/rfc5885>   has defined two possible encapsulations for BFD in VCCV:

1.       Encapsulation that uses IP and UDP headers. To the best of my understanding this encapsulation can be used with any VCCV type

2.       "Raw" BFD in VCCV. This encapsulation relies on the dedicated ACH type to identify BFD packets and hence can be only used with VCCV Type 1 and VCCV Type 4.

However, I did not find any indication in RFC 5885 as to which BFD in VCCV encapsulation MUST be supported.
This can easily result in an interoperability problem where two PEs claim  to support the same set of VCCV Types and BFD in VCCV, but are not interoperable because they support different encapsulations for BFD in VCCV.

If you agree that this is a real issue, how should it be handled? Is it a case for just  a Technical Erratum, or is a new draft required?
And, last but not least, which encapsulation should be declared as mandatory to implement?

Regards, and lots of thanks in advance,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]<mailto:[email-masked]>